Page Summary
-
Updates to an integration should be done using the
PATCHHTTP request to the specified URL. -
Adding a DialogflowDocument requires specifying only the
dialogflowEsIntegration.dialogflow_knowledge_basesflag. -
The
integration.namepath parameter is a read-only, platform-defined unique identifier for the integration. -
The
updateMaskquery parameter is required and specifies the fields to be updated using FieldMask format. -
Both the request and successful response bodies contain an instance of the Integration resource.
Update an integration.
For adding a DialogflowDocument, only the "dialogflowEsIntegration.dialogflow_knowledge_bases" flag should be specified. Adding a document should be an isolated update.
HTTP request
PATCH https://businesscommunications.googleapis.com/v1/{integration.name=brands/*/agents/*/integrations/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
integration.name |
Output only. The unique identifier of the integration. Read-only. Defined by the platform. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Integration.
Response body
If successful, the response body contains an instance of Integration.